<?php

namespace DNB;

use ArrayIterator;

class Assignment extends AbstractPostSerializable implements PostSerializableInterface {
    
    private string $assignmentNumber;
    private ?string $name;

    public function __construct(
        string $assignmentNumber,
        ?string $name = null
    ){
        $this->assignmentNumber = $assignmentNumber;
        $this->name = $name;
    }

    public function getName(): string {
        return $this->name;
    }

    public function toPostParams(): array {
        return [
            'assignmentNumber' => $this->assignmentNumber
        ];
    }

    public static function getClassVars(): array {
        return array_keys(get_class_vars(__CLASS__));
    }
}
